com.dlsc.flexgantt.swing.action.gantt

## Class RedoActionLabeled<T extends AbstractGanttChart>

- java.lang.Object
- - javax.swing.AbstractAction
  - - com.dlsc.flexgantt.swing.action.AbstractFlexGanttAction
    - - com.dlsc.flexgantt.swing.action.gantt.AbstractGanttChartAction<T>
      - - com.dlsc.flexgantt.swing.action.gantt.RedoAction<T>
        - - com.dlsc.flexgantt.swing.action.gantt.RedoActionLabeled<T>

- Type Parameters:
    `T` - the type of the Gantt chart
  All Implemented Interfaces:
    ICommandStackListener, ActionListener, PropertyChangeListener, Serializable, Cloneable, EventListener, Action

      public class RedoActionLabeled<T extends AbstractGanttChart>
      extends RedoAction<T>
      implements ICommandStackListener

  An action that will redo the last command that was undone. The action will also update its name based on the name of that command (useful for showing inside a menu item).
  Since:
    1.0
  Version:
    $Revision: 1.6 $
  Author:
    Dirk Lemmermann
  See Also:
    `ICommandStack.redo(com.dlsc.flexgantt.command.IProgressMonitor)`, `ICommandStack.isRedoable()`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.dlsc.flexgantt.swing.action.gantt.AbstractGanttChartAction

      `ganttChart`

    - ### Fields inherited from class javax.swing.AbstractAction

      `changeSupport, enabled`

    - ### Fields inherited from interface javax.swing.Action

      `ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RedoActionLabeled(T gc)` Constructs a new action.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `commandStackChanged(CommandStackEvent event)` Gets called whenever the command stack changed.

    - ### Methods inherited from class com.dlsc.flexgantt.swing.action.gantt.RedoAction

      `actionPerformed, propertyChange, setGanttChart`

    - ### Methods inherited from class com.dlsc.flexgantt.swing.action.gantt.AbstractGanttChartAction

      `findFocusedTable, getGanttChart`

    - ### Methods inherited from class com.dlsc.flexgantt.swing.action.AbstractFlexGanttAction

      `getToolTipText, setToolTipText`

    - ### Methods inherited from class javax.swing.AbstractAction

      `addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RedoActionLabeled

          public RedoActionLabeled(T gc)

      Constructs a new action.
      Parameters:
        `gc` - the Gantt chart on which to invoke the action
      Since:
        1.0

  - ### Method Detail

    - #### commandStackChanged

          public void commandStackChanged(CommandStackEvent event)

      Description copied from interface: `ICommandStackListener`
      Gets called whenever the command stack changed. The event object that is passed to this method contains information about the type of event and a reference to the command that caused the event.
      Specified by:
        `commandStackChanged` in interface `ICommandStackListener`
      Overrides:
        `commandStackChanged` in class `RedoAction<T extends AbstractGanttChart>`
      Parameters:
        `event` - the event issued by the command stack

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.